> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/order-address-changing.md).

# Order Address Changing

## Change Order Address

> Updates the address of an existing order.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrderAddressChangingRequest":{"type":"object","properties":{"channel_id":{"type":"integer","description":"The ID of the sales channel where the order originates."},"order":{"type":"integer","description":"Remote ID of the order to update."},"address":{"$ref":"#/components/schemas/AddressInput"},"order_address_types":{"type":"array","items":{"$ref":"#/components/schemas/OrderAddressType"}}},"required":["channel_id","order","address","order_address_types"]},"AddressInput":{"type":"object","properties":{"pk":{"type":"integer","description":"Remote ID of the address."},"first_name":{"type":"string","description":"First name of the person associated with the address."},"last_name":{"type":"string","description":"Last name of the person associated with the address."},"email":{"type":"string","description":"Email address of the person associated with the address."},"phone_number":{"type":"string","description":"Phone number of the person associated with the address."},"title":{"type":"string","description":"Title or designation for the address (e.g., Home, Work)."},"line":{"type":"string","description":"Street address line."},"postcode":{"type":"string","description":"Postal code for the address."},"notes":{"type":"string","description":"Additional notes or instructions for the address."},"country":{"type":"integer","description":"Remote ID of the country."},"city":{"type":"integer","description":"Remote ID of the city."},"township":{"type":"integer","description":"Remote ID of the township."},"district":{"type":"integer","description":"Remote ID of the district."},"retail_store":{"type":"integer","nullable":true,"description":"Remote ID of the retail store, if applicable."},"company_name":{"type":"string","description":"Company name associated with the address, if applicable."},"tax_no":{"type":"string","description":"Tax number associated with the address, if applicable."},"tax_office":{"type":"string","description":"Tax office associated with the address, if applicable."},"e_bill_taxpayer":{"type":"boolean","description":"Indicates if the entity is an e-bill taxpayer."},"address_type":{"$ref":"#/components/schemas/AddressType"},"identity_number":{"type":"string","nullable":true,"description":"Identity number associated with the address, if applicable."},"extra_field":{"type":"object","additionalProperties":true,"description":"Optional dictionary for additional address metadata."}},"required":["pk","first_name","last_name","email","phone_number","title","line","postcode","notes","country","city","township","district","company_name","tax_no","tax_office","e_bill_taxpayer","address_type"]},"AddressType":{"type":"string","description":"Type of address","enum":["customer","retail_store","pickup_location","checkout_provider"]},"OrderAddressType":{"type":"string","description":"Type of order address","enum":["shipping_address","billing_address"]}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"500":{"description":"Server Error"}}},"paths":{"/api/v1/order_address_changing/":{"post":{"summary":"Change Order Address","description":"Updates the address of an existing order.","tags":["Order Address Changing"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderAddressChangingRequest"}}}},"responses":{"200":{"description":"Order address updated successfully."},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/omnitron-openapis/order-address-changing.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
